al_set_default_mixer(3)

NAME

al_set_default_mixer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_set_default_mixer(ALLEGRO_MIXER *mixer)

DESCRIPTION

Sets the default mixer. All samples started with al_play_sample(3) will be stopped and all sample instances returned by al_lock_sample_id(3) will be invalidated. If you are using your own mixer, this should be called before al_reserve_samples(3).

Returns true on success, false on error.

SEE ALSO

al_reserve_samples(3), al_play_sample(3), al_get_default_mixer(3), al_restore_default_mixer(3)